<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <!-----Cargar la hoja de estilo---->
    <link rel="stylesheet" type="text/css" href="style.css">
    <title>Futurama</title>
    <!-------Implementación del CDN de bootstrap----->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.1/dist/css/bootstrap.min.css" rel="stylesheet"
        integrity="sha384-F3w7mX95PdgyTmZZMECAngseQB83DfGTowi0iMjiWaeVhAn4FJkqJByhZMI3AhiU" crossorigin="anonymous">
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.1/dist/js/bootstrap.bundle.min.js"
        integrity="sha384-/bQdsTh/da6pkI1MST/rWKFNjaCP5gBSY4sEBT38Q/9RBh9AH40zEOg7Hlq2THRZ"
        crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.9.3/dist/umd/popper.min.js"
        integrity="sha384-W8fXfP3gkOKtndU4JGtKDvXbO53Wy8SZCQHczT5FMiiqmQfUpWbYdTil/SxwZgAN"
        crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.1/dist/js/bootstrap.min.js"
        integrity="sha384-skAcpIdS7UcVUC05LJ9Dxay8AXcDYfBJqt1CJ85S/CFujBsIzCIv+l9liuYLaMQ/"
        crossorigin="anonymous"></script>
    
    <!----incluir el archivo functions.js----->
    <script src="functions.js"></script>
    <script>
        cargarPersonajes()
    </script>
</head>

<body>
    <!---------Contenedor para el Filtro------>
    <!--
    <div id="filtro">
        <div class="item">Filtro 1</div>
        <div class="item">Filtro 2</div>
        <div class="item">Filtro 3</div>
    </div>
    -->
    <nav class="navbar navbar-expand-lg navbar-dark bg-dark">
        <div class="container-fluid">
            <a class="navbar-brand" href="#">Navbar</a>
            <button class="navbar-toggler" type="button" data-bs-toggle="collapse"
                data-bs-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false"
                aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
            </button>
            <div class="collapse navbar-collapse" id="navbarSupportedContent">
                <ul class="navbar-nav me-auto mb-2 mb-lg-0">
                    <li class="nav-item">
                        <a class="nav-link active" aria-current="page" href="#">Home</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="#">Link</a>
                    </li>
                    <li class="nav-item dropdown">
                        <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button"
                            data-bs-toggle="dropdown" aria-expanded="false">
                            Dropdown
                        </a>
                        <ul class="dropdown-menu" aria-labelledby="navbarDropdown">
                            <li><a class="dropdown-item" href="#">Action</a></li>
                            <li><a class="dropdown-item" href="#">Another action</a></li>
                            <li>
                                <hr class="dropdown-divider">
                            </li>
                            <li><a class="dropdown-item" href="#">Something else here</a></li>
                        </ul>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link disabled">Disabled</a>
                    </li>
                </ul>
                <form class="d-flex">
                    <input class="form-control me-2" type="search" placeholder="Search" aria-label="Search">
                    <button class="btn btn-outline-success" type="submit">Search</button>
                </form>
            </div>
        </div>
    </nav>

    <!----Contenedor para la cabecera----->
    <div id="cabecera">
        <!----Contenedor para el texto---->
        <div id="contTexto">
            <!--<h1>Futurama</h1>-->
            <span id="titulo">Futurama</span>
            <br>
            <label>Consulta los personajes</label>
        </div>

        <!----Contenedor para la imagen---->
        <div id="contImg">
            <img class="flotar"
                src="https://res.cloudinary.com/dzxqhkyqd/image/upload/v1554871230/planet-express.png" />
        </div>

    </div>

    <!------Contenedor para el cuerpo----->
    <div id="cuerpo">
        <!----Tarjeta que representa a un personaje----->
        <div class="card" style="width: 18rem;">
            <img id="imgFuturama" src="https://vignette.wikia.nocookie.net/en.futurama/images/0/0d/Hermes.png/revision/latest?cb=20170719011119"
                class="card-img-top imgPersonaje" alt="imagen1">
            <div class="card-body">
                <h5 class="card-title">Hermes Conrad</h5>
                <label>Profesión: --</label>
                <br>
                <label>Especie: --</label>
                <br>
                <label>Planeta: --</label>
                <br>
                <div style="text-align: center; width: 100%;">
                    <button type="button" class="btn btn-outline-danger" onclick="eliminar()">Eliminar</button>
                    <button type="button" class="btn btn-outline-primary" onclick="cargarPersonajes()">Actualizar</button>
                </div>

            </div>
        </div>
    </div>
    <!--------Pie de página------>
    <footer>
        by <span class="negrilla">D3bnix</span>
    </footer>
</body>

</html>